__gnu_debug::_Equal_to< _Type > Class Template Reference

`#include <safe_sequence.h>`

## Public Member Functions

constexpr | _Equal_to (const _Type &__v)
bool | operator() (const _Type &__x) const

## Detailed Description

template<typename _Type>
class __gnu_debug::_Equal_to< _Type >

A simple function object that returns true if the passed-in value is equal to the stored value.

Definition at line 60 of file safe_sequence.h.

## Constructor & Destructor Documentation

## _Equal_to()

template<typename _Type>

__gnu_debug::_Equal_to< _Type >::_Equal_to | ( | const _Type & | __v | ) |

inline explicit constexpr

Definition at line 66 of file safe_sequence.h.

## Member Function Documentation

## operator()()

template<typename _Type>

bool __gnu_debug::_Equal_to< _Type >::operator() | ( | const _Type & | __x | ) | const

inline

Definition at line 69 of file safe_sequence.h.

The documentation for this class was generated from the following file:

- safe_sequence.h